condor_stats(1)

Name

condor_statsDisplay historical information about the HTCondor pool

Synopsis
condor_stats[-f filename] [-orgformat] [-pool centralmanagerhostname[:portnumber]] [time-range] query-type

Description
condor_statsdisplays historic information about an HTCondor pool. Based on the type of information requested, a query is sent to the condor_collectordaemon, and the information received is displayed using the standard output. If the -foption is used, the information will be written to a file instead of to standard output. The -pooloption can be used to get information from other pools, instead of from the local (default) pool. The condor_statstool is used to query resource information (single or by platform), submitter and user information, and checkpoint server information. If a time range is not specified, the default query provides information for the previous 24 hours. Otherwise, information can be retrieved for other time ranges such as the last specified number of hours, last week, last month, or a specified date range.

The information is displayed in columns separated by tabs. The first column always represents the time, as a percentage of the range of the query. Thus the first entry will have a value close to 0.0, while the last will be close to 100.0. If the -orgformatoption is used, the time is displayed as number of seconds since the Unix epoch. The information in the remainder of the columns depends on the query type.

Note that logging of pool history must be enabled in the condor_collectordaemon, otherwise no information will be available.

One query type is required. If multiple queries are specified, only the last one takes effect.

Time Range Options

-lastday

    Get information for the last day.

-lastweek

    Get information for the last week.

-lastmonth

    Get information for the last month.

-lasthours n

    Get information for the n last hours.

-from m d y

    Get information for the time since the beginning of the specified date. A start date prior to the Unix epoch causes condor_statsto print its usage information and quit.

-to m d y

    Get information for the time up to the beginning of the specified date, instead of up to now. A finish date in the future causes condor_statsto print its usage information and quit.

Query Type Arguments

The query types that do not list all of a category require further specification as given by an argument.

-resourcequery hostname

    A single resource query provides information about a single machine. The information also includes the keyboard idle time (in seconds), the load average, and the machine state.

-resourcelist

    A query of a single list of resources to provide a list of all the machines for which the condor_collectordaemon has historic information within the query's time range.

-resgroupquery arch/opsys | &ldquo;Total&rdquo;

    A query of a specified group to provide information about a group of machines based on their platform (operating system and architecture). The architecture is defined by the machine ClassAd Arch, and the operating system is defined by the machine ClassAd OpSys. The string &ldquo;Total&rdquo; ask for information about all platforms.

    The columns displayed are the number of machines that are unclaimed, matched, claimed, preempting, owner, shutdown, delete, backfill, and drained state.

-resgrouplist

    Queries for a list of all the group names for which the condor_collectorhas historic information within the query's time range.

-userquery email_address/submit_machine

    Query for a specific submitter on a specific machine. The information displayed includes the number of running jobs and the number of idle jobs. An example argument appears as

    -userquery jondoe@sample.com/onemachine.sample.com

-userlist

    Queries for the list of all submitters for which the condor_collectordaemon has historic information within the query's time range.

-usergroupquery email_address | &ldquo;Total&rdquo;

    Query for all jobs submitted by the specific user, regardless of the machine they were submitted from, or all jobs. The information displayed includes the number of running jobs and the number of idle jobs.

-usergrouplist

    Queries for the list of all users for which the condor_collectorhas historic information within the query's time range.

-ckptquery hostname

    Query about a checkpoint server given its host name. The information displayed includes the number of MiB received, MiB sent, average receive bandwidth (in KiB/sec), and average send bandwidth (in KiB/sec).

-ckptlist

    Query for the entire list of checkpoint servers for which the condor_collectorhas historic information in the query's time range.

Options

-f filename

    Write the information to a file instead of the standard output.

-pool centralmanagerhostname[:portnumber]

    Contact the specified central manager instead of the local one.

-orgformat

    Display the information in an alternate format for timing, which presents timestamps since the Unix epoch. This argument only affects the display of resoursequery, resgroupquery, userquery, usergroupquery, and ckptquery.

Exit Status

condor_statswill exit with a status value of 0 (zero) upon success, and it will exit with the value 1 (one) upon failure.

Author
Center for High Throughput Computing, University of Wisconsin&ndash;Madison

Copyright
Copyright © 1990-2019 Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI. All Rights Reserved. Licensed under the Apache License, Version 2.0.